Bug 14790 - Link to OPAC view from within subscriptions, search and item editor
Summary: Link to OPAC view from within subscriptions, search and item editor
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 16813
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-04 16:48 UTC by Jesse Weaver
Modified: 2017-06-14 22:13 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 14790 - Add OPAC view link to serials toolbar (1.37 KB, patch)
2016-06-15 14:08 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14790 - Add Opac view link to search results (1.59 KB, patch)
2016-06-15 14:08 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14790 - Add OPAC view link to catalog toolbar (1.19 KB, patch)
2016-06-15 14:08 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14790 - Add OPAC view link to items editor (1.64 KB, patch)
2016-06-15 14:08 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14790 - Add Opac view link to search results (1.59 KB, patch)
2016-06-15 14:31 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14790 - Add OPAC view link to items editor (1.64 KB, patch)
2016-06-15 14:32 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14790 - Add OPAC view link to Serials detail (1.97 KB, patch)
2016-06-15 14:32 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14790 - Add Opac view link to search results (1.86 KB, patch)
2016-06-15 15:27 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14790 - Add OPAC view link to items editor (1.75 KB, patch)
2016-06-15 15:27 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14790 - Add OPAC view link to Serials detail (2.07 KB, patch)
2016-06-15 15:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 14790 [QA Followup] - Don't show links unless OPACBaseURL is set (4.71 KB, patch)
2016-06-23 14:46 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14790 - Add Opac view link to search results (1.88 KB, patch)
2016-06-27 12:39 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14790 - Add OPAC view link to items editor (1.77 KB, patch)
2016-06-27 12:39 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14790 - Add OPAC view link to Serials detail (2.09 KB, patch)
2016-06-27 12:39 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14790 [QA Followup] - Don't show links unless OPACBaseURL is set (4.79 KB, patch)
2016-06-27 12:39 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Weaver 2015-09-04 16:48:29 UTC

    
Comment 1 Kyle M Hall 2016-06-15 14:08:02 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2016-06-15 14:08:11 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2016-06-15 14:08:15 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2016-06-15 14:08:18 UTC Comment hidden (obsolete)
Comment 5 Kyle M Hall 2016-06-15 14:31:53 UTC Comment hidden (obsolete)
Comment 6 Kyle M Hall 2016-06-15 14:32:16 UTC Comment hidden (obsolete)
Comment 7 Kyle M Hall 2016-06-15 14:32:19 UTC Comment hidden (obsolete)
Comment 8 Owen Leonard 2016-06-15 15:27:28 UTC Comment hidden (obsolete)
Comment 9 Owen Leonard 2016-06-15 15:27:36 UTC Comment hidden (obsolete)
Comment 10 Owen Leonard 2016-06-15 15:28:29 UTC Comment hidden (obsolete)
Comment 11 Jonathan Druart 2016-06-19 11:23:42 UTC
In catalogue/detail.pl, we already have a "OPAC view" link (only for non-XSLT views (?)). It tests if OPACBaseURL exists. It may be useful to add this test in your patches: a library could use another OPAC and do not want to have this link displayed.

Since Owen is going to add another link ("Add to basket") to each entry, I think we will need a new pref to drive this display soon :)
Comment 12 Kyle M Hall 2016-06-23 14:46:30 UTC Comment hidden (obsolete)
Comment 13 Kyle M Hall 2016-06-23 14:47:22 UTC
(In reply to Jonathan Druart from comment #11)
> In catalogue/detail.pl, we already have a "OPAC view" link (only for
> non-XSLT views (?)). It tests if OPACBaseURL exists. It may be useful to add
> this test in your patches: a library could use another OPAC and do not want
> to have this link displayed.

That's a good idea! Here's a followup to add that!
Comment 14 Jonathan Druart 2016-06-24 15:57:04 UTC
Actually it does not work, if you try and empty OPACBaseURL, it will contain "http://", so [% IF OPACBaseURL %] in tt is always true.
Feel free to postpone this bugfix as it's already buggy in master.
Comment 15 Kyle M Hall 2016-06-27 11:03:16 UTC
(In reply to Jonathan Druart from comment #14)
> Actually it does not work, if you try and empty OPACBaseURL, it will contain
> "http://", so [% IF OPACBaseURL %] in tt is always true.
> Feel free to postpone this bugfix as it's already buggy in master.

Done, thanks for letting me know!
Comment 16 Jonathan Druart 2016-06-27 12:39:10 UTC
Created attachment 52890 [details] [review]
Bug 14790 - Add Opac view link to search results

Test Plan:
1) Apply this patch
2) Perform a staff catalog search
3) Note the new "OPAC view" link
4) Click the link, it should open a new tab to the OPAC details for that
   record.

This works fine except that it doesn't open in a new tab. I don't think
it's the fault of the patch, but of browser.js messing with links again
(See Bug 11937).

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 17 Jonathan Druart 2016-06-27 12:39:19 UTC
Created attachment 52891 [details] [review]
Bug 14790 - Add OPAC view link to items editor

Test Plan:
1) Apply this patch
2) Find a record and open the items editor for it
3) Click the "Actions" button for an item
4) Choose the option "OPAC view"
5) A new browser tab should open to the OPAC details page for the record
   whose items you are editing.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 18 Jonathan Druart 2016-06-27 12:39:25 UTC
Created attachment 52892 [details] [review]
Bug 14790 - Add OPAC view link to Serials detail

Test Plan:
1) Apply this patch
2) Browse to subscription-detail.pl for a given serial
3) Note the new "OPAC view" link
4) Click the link, a new tab should open up showing the record
   details for that record in the OPAC

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 19 Jonathan Druart 2016-06-27 12:39:30 UTC
Created attachment 52893 [details] [review]
Bug 14790 [QA Followup] - Don't show links unless OPACBaseURL is set

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 20 Jonathan Druart 2016-06-27 12:41:27 UTC
(In reply to Kyle M Hall from comment #15)
> (In reply to Jonathan Druart from comment #14)
> > Actually it does not work, if you try and empty OPACBaseURL, it will contain
> > "http://", so [% IF OPACBaseURL %] in tt is always true.
> > Feel free to postpone this bugfix as it's already buggy in master.
> 
> Done, thanks for letting me know!

Actually I have filled bug 16813 and provided a patch. It seems better to fix it and keep your last patch. Hope that makes sense for you.
Comment 21 Kyle M Hall 2016-07-08 13:56:59 UTC
Pushed to master for 16.11!
Comment 22 Frédéric Demians 2016-08-01 13:33:24 UTC
Pushed in 16.05. Will be in 16.05.02.